Skip to main content

Authentication API

MTVL provides authentication endpoints for registering users, issuing JWT tokens, retrieving profile details, updating passwords, and managing accounts.

Register User

POST /api/v1/auth/register Register a new user account.

Request Body

Response (201 Created)


Authenticate & Issue Token (Login)

POST /api/v1/auth/login Authenticates credentials and returns a signed JWT token.

Request Body

Response (200 OK)


Get Current Profile

GET /api/v1/auth/me Retrieves the authenticated user’s profile.

Headers

Response (200 OK)


Update Profile

PUT /api/v1/auth/me Updates current user username or email.

Request Body


Change Password

PUT /api/v1/auth/password Updates the authenticated user’s password.

Request Body


Delete Account

DELETE /api/v1/auth/me Deletes the user account and associated personal lists. Shared public catalog entries created by the user remain intact.